TBRUN_TBW(1)

NAME
tbrun_tbw - tbw-based test bench starter

SYNOPSIS
tbrun_tbw [OPTION]... TBENCH [STIMFILE]

DESCRIPTION
tbrun_tbw is a convenience script for starting tbw(1)-based test benches. It will
    -   issue a make(1) command to (re)-build TBENCH.
    -   build a tbw(1) command, using STIMFILE if specified.
    -   create a shell pipe which runs tbw and handles the test bench output with tbfilt(1) to determine success or failure.

OPTIONS
Note: tbrun_tbw is implemented as a shell script. If options have an argument it is separated by white space and not by '='! So write '--ghw xxx' and not '--ghw=xxx' !

--dry
    dry run, prints the commands but doesn't execute

--nomake
    don't execute make step (TBENCH neither build nor updated)

--norun
    don't execute test bench (useful to only execute make step)

--lsuf suff
    use '_suff.log' as a suffix for the log file. Default is '_bsim.log'

--stack nnn
    use nnn as ghdl(1) stack size

--ghw fname
    write a ghw file with name 'fname.ghw'

--tbw opts
    append opts to the tbw(1) command

--pcom
    enables that test bench comments are passed to stdout.

EXAMPLES

tbrun_tbw tb_serport_uart_rx
    Simplest default case, will execute in essence
           make  tb_serport_uart_rx
           tbw tb_serport_uart_rx 2>&1 | tbfilt
    The issued command is more involved, defines TIMEFORMAT, adds a bash 'time', and some redirects to ensure that the 'time' output ends up in the log file.

SEE ALSO
tbw(1), tbfilt(1), ghdl(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>